package com.atlassian.stash.internal.backup;

public enum BackupFeatureMode {

    BACKUP(true, false),
    BOTH(true, true),
    RESTORE(false, true);

    private final boolean forBackup;
    private final boolean forRestore;

    private BackupFeatureMode(boolean forBackup, boolean forRestore) {
        this.forBackup = forBackup;
        this.forRestore = forRestore;
    }

    public boolean isForBackup() {
        return forBackup;
    }

    public boolean isForRestore() {
        return forRestore;
    }
}